
<mat-card class="fazer-lancamento-card">
  <form [formGroup]="fazerLancamentoForm" novalidate (ngSubmit)="onSubmit()">
  <mat-card-header>
    <mat-card-title>Fazer Lançamento</mat-card-title>
  </mat-card-header>
  <mat-card-content>
   
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <mat-label>Descrição</mat-label>
            <input matInput placeholder="Descrição" formControlName="descricao" placeholder="Ex: Restaurante Ai que Fome!"/>
            <mat-hint align="start"><strong>Informe uma descrição fácil de lembrar</strong> </mat-hint>
            <mat-error *ngIf="fazerLancamentoForm.controls['descricao'].hasError('required')">
              A descricão é <strong>obrigatória</strong>
            </mat-error>
            <mat-error *ngIf="fazerLancamentoForm.controls['descricao'].hasError('minlength')">
              A descricão deve ter <strong>no mínimo 3 caracteres</strong>
            </mat-error>
            <mat-error *ngIf="fazerLancamentoForm.controls['descricao'].hasError('maxlength')">
              A descricão deve ter <strong>no máximo 256 caracteres</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <mat-label>Valor (R$)</mat-label>
            <input matInput type="number" placeholder="Valor" formControlName="valor" placeholder="Ex: 2.56" step="0.01" [min]="0"/>
            <mat-hint align="start"><strong>Preencha o valor corretamente</strong> </mat-hint>
            <!-- <mat-hint align="end">{{this.fazerLancamento.controls['descricao'].value.length}} / 256</mat-hint> -->
            <mat-error *ngIf="fazerLancamentoForm.controls['valor'].hasError('required')">
              O valor é <strong>obrigatório</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-form-field appearance="fill">
            <mat-label>Categoria</mat-label>
            <mat-select matNativeControl name="categoria" [(value)]="categoriaSelecionada">
              <mat-option value="" selected></mat-option>
              <mat-option *ngFor="let categoria of categorias" [value]="categoria">
                {{categoria.nome + " (" + categoria.tipo+ ")"}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </div>
    
  </mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="secondary" type="button" (click)="voltarParaDashboard()">Voltar</button>
    <button mat-raised-button color="primary" type="submit">Fazer Lançamento</button>
  </mat-card-actions>
</form>
</mat-card>

